package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxElectronicInvoice;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceTypeModeConfigSzhtxxElectronicInvoiceMapper {
    long countByExample(InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample example);

    int deleteByExample(InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceTypeModeConfigSzhtxxElectronicInvoice record);

    int insertSelective(InvoiceTypeModeConfigSzhtxxElectronicInvoice record);

    List<InvoiceTypeModeConfigSzhtxxElectronicInvoice> selectByExample(InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample example);

    InvoiceTypeModeConfigSzhtxxElectronicInvoice selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceTypeModeConfigSzhtxxElectronicInvoice record, @Param("example") InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample example);

    int updateByExample(@Param("record") InvoiceTypeModeConfigSzhtxxElectronicInvoice record, @Param("example") InvoiceTypeModeConfigSzhtxxElectronicInvoiceExample example);

    int updateByPrimaryKeySelective(InvoiceTypeModeConfigSzhtxxElectronicInvoice record);

    int updateByPrimaryKey(InvoiceTypeModeConfigSzhtxxElectronicInvoice record);
}